## gbatnav 1.0.4-2

=== ggz/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/share/info
mandir = ${prefix}/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/gbatnav
pkglibdir = $(libdir)/gbatnav
pkgincludedir = $(includedir)/gbatnav

top_builddir = ..

ACLOCAL = aclocal -I macros
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AS = @AS@
BUILD_INCLUDED_LIBINTL = no
CATALOGS =  es.gmo de.gmo pl.gmo ja.gmo ru.gmo
CATOBJEXT = .gmo
CC = gcc
CFLAGS = -g -O2
CPPFLAGS =  -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
DATADIRNAME = share
DLLTOOL = @DLLTOOL@
ECHO = echo
EXEEXT = 
GENCAT = gencat
GGZCORE_INCLUDES = @GGZCORE_INCLUDES@
GGZCORE_LDFLAGS = @GGZCORE_LDFLAGS@
GGZDMOD_INCLUDES = 
GGZDMOD_LDFLAGS = 
GGZMOD_INCLUDES = 
GGZMOD_LDFLAGS = 
GGZ_CONFIG = 
GLIBC21 = yes
GMOFILES =  es.gmo de.gmo pl.gmo ja.gmo ru.gmo
GMSGFMT = /usr/bin/msgfmt
GNOMEGNORBA_LIBS = -rdynamic -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lgnomeui -lart_lgpl -lgdk_imlib -ljpeg -ltiff -lungif -lpng -lz -lSM -lICE -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb-3 -lglib
GNOMEUI_LIBS = -rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -ljpeg -ltiff -lungif -lpng -lz -lSM -lICE -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb-3 -lglib
GNOME_APPLETS_LIBS = 
GNOME_CAPPLET_LIBS = 
GNOME_CONFIG = /usr/bin/gnome-config
GNOME_DOCKLETS_LIBS = 
GNOME_INCLUDEDIR = -I/usr/include/gnome-1.0 -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/orbit-1.0 -I/usr/include/gtk-1.2 -I/usr/X11R6/include
GNOME_LIBDIR = -rdynamic -L/usr/lib -L/usr/X11R6/lib
GNOME_LIBS = -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb-3 -lglib
GNORBA_CFLAGS = -I/usr/include/gnome-1.0 -DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/orbit-1.0 -I/usr/include/gtk-1.2 -I/usr/X11R6/include
GNORBA_LIBS = -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnorba -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lgnomeui -lart_lgpl -lgdk_imlib -ljpeg -ltiff -lungif -lpng -lz -lSM -lICE -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb-3 -lglib
GTKXMHTML_LIBS = 
GTK_CFLAGS = -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -lSM -lICE -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
LDFLAGS = 
LIBGGZ_INCLUDES = @LIBGGZ_INCLUDES@
LIBGGZ_LDFLAGS = @LIBGGZ_LDFLAGS@
LIBICONV = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_GGZ = @LIB_GGZ@
LIB_GGZCORE = @LIB_GGZCORE@
LIB_GGZDMOD = 
LIB_GGZMOD = 
LN_S = ln -s
MAINT = #
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJDUMP = @OBJDUMP@
OBJEXT = o
ORBIT_CFLAGS = -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/include/orbit-1.0
ORBIT_CONFIG = /usr/bin/orbit-config
ORBIT_IDL = /usr/bin/orbit-idl
ORBIT_LIBS = -L/usr/lib -lORBitCosNaming -lORBit -lIIOP -lORBitutil -lglib -lm
PACKAGE = gbatnav
POFILES =  es.po de.po pl.po ja.po ru.po
POSUB = po
PTHREAD_LIB = -lpthread
RANLIB = ranlib
STRIP = strip
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 1.0.4
XPM_LIBS = -lXpm
ZVT_LIBS = 
ggz_config = 
ggzcore_includes = @ggzcore_includes@
ggzcore_libraries = @ggzcore_libraries@
ggzdatadir = 
ggzdconfdir = 
ggzddatadir = 
ggzdmod_includes = 
ggzdmod_libraries = 
ggzexecmoddir = 
ggzmod_includes = 
ggzmod_libraries = 
ggzmoduleconfdir = 
libggz_includes = @libggz_includes@
libggz_libraries = @libggz_libraries@
packagesrcdir = 

CLIENT_DSC = batnavcli.dsc
SERVER_DSC = batnav.dsc
SERVER_ROOM = batnav.room

ggzdgamesdir = $(ggzdconfdir)/games
ggzdroomsdir = $(ggzdconfdir)/rooms

EXTRA_DIST = $(SERVER_DSC).in $(SERVER_ROOM) $(CLIENT_DSC).in README
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES =  batnav.dsc batnavcli.dsc
DIST_COMMON =  README Makefile.am Makefile.in batnav.dsc.in \
batnavcli.dsc.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps ggz/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

batnav.dsc: $(top_builddir)/config.status batnav.dsc.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
batnavcli.dsc: $(top_builddir)/config.status batnavcli.dsc.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = ggz

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-data-local
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-local install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


install-data-local:
	$(GGZ_CONFIG) -D --force --install --modfile=$(CLIENT_DSC)
	$(INSTALL_DATA) $(SERVER_DSC) $(ggzdgamesdir)
	$(INSTALL_DATA) $(SERVER_ROOM) $(ggzdroomsdir)

uninstall:
	$(GGZ_CONFIG) --force --remove --modfile=$(CLIENT_DSC)
	rm -f $(ggzdgamesdir)/$(SERVER_DSC)
	rm -f $(ggzdroomsdir)/$(SERVER_ROOM)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## gbatnav 1.0.4cvs20051004

=== debian/changelog ===
gbatnav (1.0.4cvs20051004-8) unstable; urgency=low

  * Fix FTBFS: port to gcc15 (Closes: #1096679)
    - Update debian/patches/gcc10.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 13 Sep 2025 05:37:06 +0100

gbatnav (1.0.4cvs20051004-7) unstable; urgency=low

  * Fix FTBFS: implicit-function-declaration (Closes: #1066198)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 25 Mar 2024 06:58:52 +0800

gbatnav (1.0.4cvs20051004-6) unstable; urgency=low

  * Add debian/patches/gcc10.patch: port to gcc10 (Closes: #957258)
  * Add debian/patches/clang_FTBFS_Wreturn-type.patch
    - Fix clang FTBFS (Closes: #743696)
    - Thanks to Nicolas Sévelin-Radiguet <nicosr@free.fr>
  * Bump Standards-Version to 4.5.0: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 08 Aug 2020 02:05:32 +0800

gbatnav (1.0.4cvs20051004-5.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Yavor Doganov ]
  * Add 807425.patch
    - Fix crash and buffer overflow (Closes: #807425)
  * Add gtk3_port.patch
    - Migrate from libpopt to GOption.
    - Migrate frome GnomeCanvas to GooCanvas.
    - Migrate from old-style ~/.gnome2 configuration files to GSettings
  * Build-Depend on libgoocanvas-2.0-dev instead of libgnome
    (Closes: #868382, #886081)

  [ Jeremy Bicha ]
  * Bump debhelper compat to 11
  * Drop obsolete Debian menu (Closes: #737888)

 -- Yavor Doganov <yavor@gnu.org>  Sun, 04 Nov 2018 22:15:00 -0500

gbatnav (1.0.4cvs20051004-5) unstable; urgency=low

  * Use DebSrc3.0 and debhelper7
  * Build-Depends: libjpeg62-dev -> libjpeg-dev (Closes: #641689)
  * Bump Standards-Version to 3.9.2: nothing needs to be changed.
  * debian/patches/fix_desktopfile.patch: fix desktop files (Closes: #636708)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 17 Sep 2011 22:30:57 +0800

gbatnav (1.0.4cvs20051004-4) unstable; urgency=low

  * debian/control:
    + Set section from gnome to games
    + Refresh maintainer field
    + Bump Standard version to 3.8.2
  * debian/copyright:
    + Refine the format of copyright file
  * debian/rules:
    + Use proper quilt patch method
    + Remove deprecated dh_desktop
    + Use autoreconf -fi instead of -i
    + Remove more non-source files
  * debian/patches/buffer_overflow_gbnclient.c.patch
    + Fix buffer overflow bug. (Closes: #507107)
  * debian/patches/gnome2_transition_configure.patch
    + Including m4 directory
    + Including intl sub-directory
  * debian/patches/gnome2_transition_makefile.patch
    + Install desktop files to /usr/share/applications
    + Including intl sub-directory

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 24 Jul 2009 22:46:37 +0800

gbatnav (1.0.4cvs20051004-3) unstable; urgency=low

  * New Maintainer (Closes: #330167)
  * Bump standard version to 3.7.3
  * Bump debhelper compat to 5
  * gnome2 transition (Closes: #460763)
    + Use quilt to handle patches for previous patch and new patches
    + Add debian/patches/gnome2_transition_*.patch to transit to gnome2
    + Use autoconf/automake to re-generate configure
  * Update watch file (Closes: #449962)
    Thanks to Raphael Geissert <atomo64@gmail.com>
  * Include Swedish PO translation (Closes: #346529)
    Thanks to Daniel Nylander <yeager@lidkoping.net>
  * Add Homepage field in debian/control
  * Add dh_desktop in debian/rules
    Thanks to Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Fri, 25 Jan 2008 22:00:22 +0800

gbatnav (1.0.4cvs20051004-2) unstable; urgency=low

  * QA upload.
  * debian/rules: Remove po/stamp-po on clean, otherwise .gmo files
    are not rebuilt.

 -- Matej Vela <vela@debian.org>  Tue,  4 Oct 2005 14:29:33 +0200

gbatnav (1.0.4cvs20051004-1) unstable; urgency=low

  * QA upload.
  * Regenerate upstream tarball, using `automake --copy' to prevent
    dangling symlinks.  No upstream changes.  Closes: #330603.
  * po/es.po: Fill in all header fields (msgfmt chokes otherwise).
  * Change section to gnome in accordance with the override file.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/watch: Add.

 -- Matej Vela <vela@debian.org>  Tue,  4 Oct 2005 13:17:40 +0200

gbatnav (1.0.4cvs20050924-1) unstable; urgency=low

  * Use upstream CVS version (closes: #317090). I had to re-run ./autogen.sh
    and repackage the upstream source in order to build the program
  * Error parsing in 'read' appears to have been fixed upstream (closes: #55009)
  * Apply patch correcting German translation (closes: #314098)
  * Orphaning the package, setting Maintainer to Debian QA Group

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Sun, 25 Sep 2005 09:52:59 +0200

gbatnav (1.0.4-4) unstable; urgency=high

  * This version thanks to Frank Lichtenheld <djpig @ debian.org>
  * CAN-2003-0407: Fix buffer overflow in gbnserver on parser
    initialisation (Closes: #279720)
  * While searching the culprit fix some other possible buffer
    overflows (but I made no attempt to find them _all_)
  * Fix buffer overflow on reading LOGNAME in gbnclient (Closes: #166181)
    (not exploitable)
  * No need to chown the executables when not setting the setuid bit

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Mon,  8 Nov 2004 00:44:12 +0100

gbatnav (1.0.4-3) unstable; urgency=medium

  * fix path in menu entry (closes: #215699)
  * change section to 'games' (closes: #217893)
  * rebuilt with libtiff4 (closes: #262826)

 -- Radovan Garabík <garabik@kassiopeia.juls.savba.sk>  Mon,  2 Aug 2004 11:08:24 +0200

gbatnav (1.0.4-2) unstable; urgency=low

  * clear setgid flags on executables, since high scores 
    do not work anyway (closes: #152775)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 19 Jul 2002 09:41:03 +0200

gbatnav (1.0.4-1) unstable; urgency=low

  * new upstream release.

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri, 10 May 2002 17:20:07 +0200

gbatnav (1.0.2-3) unstable; urgency=low



=== debian/control ===
Source: gbatnav
Section: games
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper (>= 11), libgoocanvas-2.0-dev, libjpeg-dev
Homepage: http://batnav.sourceforge.net/

Package: gbatnav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: networked BattleShip game
 Batalla Naval is a networked BattleShip game. It supports multiple players 
 and multiple robots at the same time.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DEB_CFLAGS_MAINT_APPEND=-Wno-incompatible-pointer-types

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=\$${prefix}/games

## gbatnav 1.0.4-2ubuntu0.1

=== debian/changelog ===
gbatnav (1.0.4-2ubuntu0.1) warty-security; urgency=high

  * SECURITY UPDATE: buffer overflow
  * gbnclient/gbnclient.c,
    gbnserver/g_interface.c,
    bnserver/play.c,
    bnserver/gbnserver.c:
    - Applied patch by Debian to fix the buffer overflow vulnerabilities.
  * References
    - CAN-2003-0407

 -- Gerardo Di Giacomo <gerardo@linux.it>  Tue,  5 Apr 2005 16:55:06 +0000
